sc::NElFunctional(3)

NAME
sc::NElFunctional - The NElFunctional computes the number of electrons.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Methods
NElFunctional ()
NElFunctional (const Ref< KeyVal > &)
NElFunctional (StateIn &)
~NElFunctional ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point (const PointInputData &, PointOutputData &)

DETAILED DESCRIPTION

The NElFunctional computes the number of electrons.

It is primarily for testing the integrator.

MEMBER FUNCTION DOCUMENTATION

  void sc::NElFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.